Im trying to install hadoop but encounter an error

Im trying to install hadoop from the source files and i encouter this problem :

WARN engine npm@7.10.0: wanted: {“node”:">=10"} (current: {“node”:“4.2.6”,“npm”:“3.5.2”})
WARN engine npm@7.10.0: wanted: {“node”:">=10"} (current: {“node”:“4.2.6”,“npm”:“3.5.2”})
/usr/local/lib
`-- (empty)

npm ERR! Linux 5.11.10-1-MANJARO
npm ERR! argv “/usr/bin/nodejs” “/usr/bin/npm” “install” “npm@latest” "-g"
npm ERR! node v4.2.6
npm ERR! npm v3.5.2
npm ERR! path /usr/local/lib/node_modules/.staging/@npmcli/ci-detect-c7bf9552
npm ERR! code ENOENT
npm ERR! errno -2
npm ERR! syscall rename

I do have node installed with the latest version v15.12.
Did anyone encouter this kind of issue with hadoop on manjaro ?
thank you for taking the time to read this.

When pasting terminal output, highlight it and use the Preformatted text </> button, not the Bold B button.

Alternatively, add three backticks ` above and below the text:

```
text
```

Apparently you have NPM packages installed to the system with sudo npm that are throwing it off. NEVER use sudo npm or sudo pip, etc.